Package org.eclipse.launchbar.core

# Interface ILaunchBarListener

public interface ILaunchBarListener
Listener that can be installed on launch bar to listen for state changes. `ILaunchBarManager.addListener(ILaunchBarListener)`. `Activator.getService(ILaunchBarManager.class).addListener(new ILaunchBarListener(){ public void activeLaunchTargetChanged(ILaunchTarget target) { // do something } });`

## Method Summary

Modifier and Type
Method
Description
`default void`
`activeLaunchDescriptorChanged(ILaunchDescriptor descriptor)`
`default void`
`activeLaunchModeChanged(org.eclipse.debug.core.ILaunchMode mode)`
`default void`
`activeLaunchTargetChanged(ILaunchTarget target)`
`default void`
`launchTargetsChanged()`

## Method Details

### activeLaunchDescriptorChanged

default void activeLaunchDescriptorChanged(ILaunchDescriptor descriptor)

### activeLaunchModeChanged

default void activeLaunchModeChanged(org.eclipse.debug.core.ILaunchMode mode)

### activeLaunchTargetChanged

default void activeLaunchTargetChanged(ILaunchTarget target)

### launchTargetsChanged

default void launchTargetsChanged()